/* HTTP API 机构业务模块
 * Copyright 2020, CAIMEI365
 * Date   2020/06/16
 * auther ZHJY
 */
var OrderApi = {
        /* 查询用户地址列表 */
        GetAddressList: function (params, callback) {
            Http.AjaxService({ url:'/personalCenter/findAddress', type:'GET', data:params, json:false})
            .then(function(res){
                callback(res);
            });
        },
        /* 添加,保存地址 */
        AddSaveAddress: function (params, callback) {
            Http.AjaxService({ url:'/personalCenter/saveAddress', type:'POST', data:params, json:false})
            .then(function(res){
                callback(res);
            });
        },
        /* 设为默认地址 */
        DefaultAddress: function (params, callback) {
            Http.AjaxService({ url:'/personalCenter/defaultAddress', type:'POST', data:params, json:false})
            .then(function(res){
                callback(res);
            });
        },
        /* 删除地址 */
        DeleteAddress: function (params, callback) {
            Http.AjaxService({ url:'/personalCenter/deleteAddress', type:'GET', data:params, json:false})
            .then(function(res){
                callback(res);
            });
        },
        /* 删除地址 */
        GetFindInvoice: function (params, callback) {
            Http.AjaxService({ url:'/personalCenter/findInvoice', type:'GET', data:params, json:false})
            .then(function(res){
                callback(res);
            });
        },
        /* 确认订单 */
        GetOrderConfirmInfo: function (params, callback) {
            Http.AjaxService({ url:'/order/confirm', type:'GET', data:params, json:false})
            .then(function(res){
                callback(res);
            });
        },
        /* 获取订单邮费信息 */
        GetOrderPostage: function (params, callback) {
            Http.AjaxService({ url:'/order/postage', type:'GET', data:params, json:false})
            .then(function(res){
                callback(res);
            });
        },
        /* 提交订单 */
        ConfirmOrder: function (params, callback) {
            Http.AjaxService({ url:'/order/submit', type:'POST', data:params, json:false})
            .then(function(res){
                callback(res);
            });
        },
        /* 查询订单列表 */
        GetQueryOrderListData: function (params, callback) {
            Http.AjaxService({ url:'/pcCenter/getOrderList', type:'GET', data:params, json:false})
            .then(function(res){
                callback(res);
            });
        },
        /* 查询订单列表选项卡标签数量*/
        GetQueryOrderNum: function (params, callback) {
            Http.AjaxService({ url:'/pcCenter/getOrderNum', type:'GET', data:params, json:false})
            .then(function(res){
                callback(res);
            });
        },
        /* 机构用户取消订单操作*/
        GetCancelOrder: function (params, callback) {
            Http.AjaxService({ url:'/order/cancel', type:'GET', data:params, json:false})
            .then(function(res){
                callback(res);
            });
        },
        /* 机构用户删除订单操作*/
        GetDeleteOrder: function (params, callback) {
            Http.AjaxService({ url:'/order/delete', type:'GET', data:params, json:false})
            .then(function(res){
                callback(res);
            });
        },
        /* 机构用户确认收货操作*/
        GetAffirmOrder: function (params, callback) {
            Http.AjaxService({ url:'/order/affirm', type:'GET', data:params, json:false})
            .then(function(res){
                callback(res);
            });
        },
        /* 机构用户确认订单操作*/
        AffirmOrderOrder: function (params, callback) {
            Http.AjaxService({ url:'/order/affirmOrder', type:'POST', data:params, json:false})
            .then(function(res){
                callback(res);
            });
        },
        /* 订单支付,效验付款规则 orderId 订单ID */
        OrderPaymentValidation: function (params, callback) {
            Http.AjaxService({ url:'/order/paymentValidation', type:'GET', data:params, json:false})
            .then(function(res){
                callback(res);
            });
        },
        /* 订单支付,效验付款规则 orderId 订单ID */
        OrderBalanceDeduction: function (params, callback) {
            Http.AjaxService({ url:'/order/balanceDeduction', type:'post', data:params, json:false})
            .then(function(res){
                callback(res);
            });
        },
};